<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2021 Google Inc.

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<configuration description="Automotive Performance Test Base.">
  <!-- Common Target Preparers -->
  <include name="catbox-preparer" />

  <!-- Common Config -->
  <include name="catbox-common" />

  <!-- Performance Specific Target Preparers -->
  <target_preparer class="com.android.tradefed.targetprep.PushFilePreparer" />
  <target_preparer class="com.android.tradefed.targetprep.PerfettoPreparer" />
  <target_preparer class="com.android.tradefed.targetprep.TimeWaster" />

  <!-- Metrics Result Reporter -->
  <result_reporter class="com.android.tradefed.result.MetricsXMLResultReporter">
    <option name="metrics-folder" value="metrics"/>
  </result_reporter>

</configuration>
